Procurando a documentação anterior?Acesse v1.docs.pluggy.ai
PluggyDocs
GET/v2/items

Listar

Recupera seus items usando paginação por cursor, do mais recente ao mais antigo. Este endpoint é opt-in: vem desativado por padrão e precisa ser habilitado para o seu time. Entre em contato com o suporte se quiser acesso.

Parameters

Query Parameters

NameType
clientUserId
string
connectorId
integer
after
string

Responses

200Recupera uma lista dos seus items usando paginação por cursor
object

Resposta paginada baseada em cursor para itens

resultsrequiredobject[]

Lista de itens para a página atual

itemsobject

Objeto Item

nextrequiredstring | null

String de consulta pronta para uso para a próxima página: anexe-a como está ao caminho do endpoint (GET /v2/items{next}). Nulo se não houver mais resultados.

Example response

json
{
  "results": [
    {
      "id": "e062ab2b-9006-45e8-b689-defabba53647",
      "connector": {
        "id": 200,
        "name": "MeuPluggy",
        "primaryColor": "ef294b",
        "institutionUrl": "https://meu.pluggy.ai/",
        "country": "BR",
        "type": "PERSONAL_BANK",
        "credentials": [],
        "imageUrl": "https://cdn.pluggy.ai/assets/connector-icons/sandbox.svg",
        "hasMFA": false,
        "oauth": true,
        "health": {
          "status": "ONLINE",
          "stage": null
        },
        "products": [
          "ACCOUNTS",
          "TRANSACTIONS",
          "CREDIT_CARDS",
          "INVESTMENTS",
          "INVESTMENTS_TRANSACTIONS",
          "PAYMENT_DATA",
          "IDENTITY",
          "BROKERAGE_NOTE"
        ],
        "createdAt": "2023-09-12T16:44:13.900Z",
        "isSandbox": false,
        "isOpenFinance": false,
        "updatedAt": "2024-11-26T13:33:44.296Z",
        "supportsPaymentInitiation": false,
        "supportsScheduledPayments": false,
        "supportsSmartTransfers": false,
        "supportsBoletoManagement": false
      },
      "createdAt": "2024-09-19T13:10:31.212Z",
      "updatedAt": "2024-09-19T13:11:23.613Z",
      "status": "UPDATED",
      "executionStatus": "SUCCESS",
      "lastUpdatedAt": "2024-09-19T13:11:23.595Z",
      "webhookUrl": null,
      "error": null,
      "clientUserId": "user@example.com",
      "consecutiveFailedLoginAttempts": 0,
      "statusDetail": null,
      "parameter": null,
      "userAction": null,
      "nextAutoSyncAt": null,
      "consentExpiresAt": null,
      "resourcesCollectedAt": null,
      "hasResourcesPendingAuthorization": null,
      "products": [
        "ACCOUNTS",
        "CREDIT_CARDS",
        "TRANSACTIONS",
        "INVESTMENTS",
        "IDENTITY",
        "INVESTMENTS_TRANSACTIONS",
        "PAYMENT_DATA"
      ],
      "oauthRedirectUri": null
    }
  ],
  "next": "string"
}
curl -X GET \
'https://api.pluggy.ai/v2/items' \
-H 'Content-Type: application/json' \
-H 'X-API-KEY: YOUR_API_KEY'
Resposta de exemplo
{
"results": [
{
"id": "e062ab2b-9006-45e8-b689-defabba53647",
"connector": {
"id": 200,
"name": "MeuPluggy",
"primaryColor": "ef294b",
"institutionUrl": "https://meu.pluggy.ai/",
"country": "BR",
"type": "PERSONAL_BANK",
"credentials": [],
"imageUrl": "https://cdn.pluggy.ai/assets/connector-icons/sandbox.svg",
"hasMFA": false,
"oauth": true,
"health": {
"status": "ONLINE",
"stage": null
},
"products": [
"ACCOUNTS",
"TRANSACTIONS",
"CREDIT_CARDS",
"INVESTMENTS",
"INVESTMENTS_TRANSACTIONS",
"PAYMENT_DATA",
"IDENTITY",
"BROKERAGE_NOTE"
],
"createdAt": "2023-09-12T16:44:13.900Z",
"isSandbox": false,
"isOpenFinance": false,
"updatedAt": "2024-11-26T13:33:44.296Z",
"supportsPaymentInitiation": false,
"supportsScheduledPayments": false,
"supportsSmartTransfers": false,
"supportsBoletoManagement": false
},
"createdAt": "2024-09-19T13:10:31.212Z",
"updatedAt": "2024-09-19T13:11:23.613Z",
"status": "UPDATED",
"executionStatus": "SUCCESS",
"lastUpdatedAt": "2024-09-19T13:11:23.595Z",
"webhookUrl": null,
"error": null,
"clientUserId": "user@example.com",
"consecutiveFailedLoginAttempts": 0,
"statusDetail": null,
"parameter": null,
"userAction": null,
"nextAutoSyncAt": null,
"consentExpiresAt": null,
"resourcesCollectedAt": null,
"hasResourcesPendingAuthorization": null,
"products": [
"ACCOUNTS",
"CREDIT_CARDS",
"TRANSACTIONS",
"INVESTMENTS",
"IDENTITY",
"INVESTMENTS_TRANSACTIONS",
"PAYMENT_DATA"
],
"oauthRedirectUri": null
}
],
"next": "string"
}